package ejem04;

import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import java.util.*;

public class Graficos extends Applet implements ItemListener{
	Image img;
	Choice CHGorro;
	Choice CHMaterial;
	Choice CHHumor;
	Choice CHHora;
	Vector colores;
	private boolean deFiesta=true,feliz=true,am=false;
	Color colorMaterial;
	
	public void init() {
		
		
		colores = new Vector(10);
		
		colores.addElement(Color.black);
		colores.addElement(Color.blue);
		colores.addElement(Color.cyan);
		colores.addElement(Color.darkGray);
		colores.addElement(Color.gray);
		colores.addElement(Color.green);
		colores.addElement(Color.lightGray);
		colores.addElement(Color.magenta);
		colores.addElement(Color.orange);
		colores.addElement(Color.pink);
		colores.addElement(Color.red);
		colores.addElement(Color.white);
		colores.addElement(Color.yellow);
		
		colorMaterial = Color.white;
		
		setBackground(Color.black);
		
		add(CHGorro = new Choice());
		add(CHMaterial = new Choice());
		add(CHHumor = new Choice());
		add(CHHora = new Choice());
		
		CHGorro.addItem("De fiesta");
		CHGorro.addItem("Navideo");

		CHMaterial.addItem("Nieve");
		CHMaterial.addItem("Arena");
		CHMaterial.addItem("Lodo");
		
		CHHumor.addItem("feliz");
		CHHumor.addItem("triste");
		
		CHHora.addItem(" 8:00 pm");
		CHHora.addItem("12:00 am");
		
		CHGorro.addItemListener(this);
		CHMaterial.addItemListener(this);
		CHHumor.addItemListener(this);
		CHHora.addItemListener(this);
	}
	
	
	public void itemStateChanged(ItemEvent e) {
		int si=0;
		if(e.getSource()==CHGorro){
			if(CHGorro.getSelectedItem().equals("De fiesta"))
				deFiesta= true;
			else
				deFiesta = false;
			
		}
		else if(e.getSource()==CHMaterial){
				si=CHMaterial.getSelectedIndex();
				if(si==0){
					colorMaterial=Color.white;
				}
				else if(si==1){
					colorMaterial=Color.yellow;
					
				}
				else if(si == 2){
					colorMaterial=Color.darkGray;
				}
		}
		else if(e.getSource()==CHHumor){
				si=CHHumor.getSelectedIndex();
				if(si==0){
					feliz=true;
				}
				else if(si==1){
					feliz=false;
				}
		}
		else if(e.getSource()==CHHora){
				si=CHHora.getSelectedIndex();
				if(si==0){
					setBackground(Color.black);
					am=false;
				}
				else if(si==1){
					setBackground(Color.white);
					am=true;
				}
		}
		
		repaint();
		
	}

	public void paint(Graphics g) {
		
		//gorro
		if(deFiesta){
			for(int i=1;i<=10;i++){
				g.setColor((Color) colores.elementAt(i%13));
				g.fillOval(155,70+i*5,i*5,i*5);
			}
		}
		else{
			for(int i=1;i<=10;i++){
				if(i % 2 == 0)
					g.setColor(Color.red);
				else
					g.setColor(Color.white);
				g.fillOval(155,70+i*5,i*5,i*5);
			}			
		}
		
		//cara
		g.setColor(colorMaterial);
		g.fillOval(150,130,70,70);
		
		
		/*mano derecha*/
		g.setColor(Color.blue);
		int[] x={220,240,260};//,260,180,180};
		int[] y={240,240,170};//,200,200,165};
		g.fillPolygon(x,y,3);
		g.fillOval(240,170,30,30);


		/*mano izquierda*/
		g.setColor(Color.blue);
		int[] x2={140,120,100};//,260,180,180};
		int[] y2={240,240,310};//,200,200,165};
		g.fillPolygon(x2,y2,3);
		g.fillOval(90,280,30,30);
		
		//cuerpo
		g.setColor(colorMaterial);
		g.fillOval(120,200,120,120);
		
		
		//facciones
		g.setColor(Color.black);
		g.fillOval(170,148,9,9);
		g.fillOval(201,148,9,9);

		//nariz
		g.setColor(Color.orange);
		for(int i=13;i>=1;i--){
			g.fillOval(250-i*5,162,i,i);
		}
		
		g.setColor(Color.red);
		if(feliz)
			//boca feliz
			g.fillArc(170,170,30,20,180,180);
		else
			//boca triste
			g.fillArc(170,180,30,20,180,-180);

		if(am){
			g.setColor(Color.black);
			g.drawOval(120,200,120,120);
			g.drawOval(150,130,70,70);
			g.setColor(Color.black);
		}
		else
			g.setColor(Color.white);
		
		g.setFont(new Font("TimesRoman",0,20));
		g.drawString("sorprendido?? :-) ",20,380);
		
		
	}
}
